﻿using Android.App;
using Android.Widget;
using Android.OS;
using Syncfusion.SfDataGrid;
using Android.Views;
using Android.Graphics;
using System;
using Android.Content;
using Android.Text;
using System.Threading.Tasks;
using System.Net.Http;
using System.Collections.ObjectModel;

namespace GettingStarted
{
	[Activity (Label = "GettingStarted", MainLauncher = true, Icon = "@drawable/icon")]
  
    public class MainActivity : Activity
    {
        ViewModel viewModel;
        private SfDataGrid dataGrid;
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);
            viewModel = new ViewModel();
            dataGrid = new SfDataGrid(this)
            {
                HeaderRowHeight = 40, AllowEditing = true,
                EditTapAction = TapAction.OnTap,
                RowHeight = 55,
                AutoGenerateColumns = false,
                ItemsSource = viewModel.OrdersInfo,
            };

            dataGrid.Columns.Add(new GridTextColumn() { MappingName = "OrderID", Width = 100 });
            dataGrid.Columns.Add(new GridNumericColumn() { MappingName = "Freight", Width = 150 });
            dataGrid.Columns.Add(new GridTextColumn() { MappingName = "FirstName", Width = 100 });
            dataGrid.Columns.Add(new GridTextColumn() { MappingName = "CustomerID", Width = 50 });
            dataGrid.Columns.Add(new GridDateTimeColumn() { MappingName = "ShippingDate", Width = 100 });
            dataGrid.Columns.Add(new GridTextColumn() { MappingName = "EmployeeID", Width = 100 });
          
            SetContentView(dataGrid);
        }
    }
}


